<?php
	//Share session across subdomains (Code added by codologic)
	ini_set('session.cookie_domain', '.illuceo.com' );
	require("modules/session.php"); //start session
	//session_name('illuceo');
	//session_start();
	$_SESSION['fancybox'] = 3;  // version of fancybox to be used (set to 2 or 3)
	// start output buffering
	ob_start();

	//to hide warning and errors
	//set this value as 0 for live environment;
	//added by vikash
	// ini_set('display_errors',1); // see our own error handler in header.php
	// own flag for live vs test
	define('LIVE',false);
	include("lib/db_functions.php");  // various functions used by actions on site
	include("lib/message_catalog.php"); // processes messages generated by site actions

	//the below line check if there is a post ot get for p
	//if yes, it take the value from the reques else set to 1 (home page)
	$p = (isset($_REQUEST['p']) && !empty($_REQUEST['p'])) ? $_REQUEST['p'] : 1;
	if (isset($_SERVER['QUERY_STRING'])) {
		$success = storeURL($_SERVER['QUERY_STRING']);
		
	} else {
		$success = storeURL("");
	}
	// get the page name and title ie $page_name and $page_title variables are set
	$page_name = getPageName($p);
	$page_live = getPageLive($p);
	$page_title = getPageTitle($p);
	if (($page_name == "Error") or (!$page_live)) {
		$page_name = "404";
	}

    include('modules/header.php');	
	include('modules/banner.php');
	// initialise some variables used in logging in
	$_SESSION['myid'] = 0; // globally availble id - key to illuceo_users table
	$status = "";
	$role = "";
	// use following to debug a specific page
	if ($page_name == "member") {
		$debug_breakpoint = true;
	}
    if (isset($_SESSION["loggedin_user_id"]) && !empty($_SESSION["user"])) { // a user is logged in
		$_SESSION['myid'] = $_SESSION["loggedin_user_id"]; // store the record id for use in other pages
		$status = getUserStatus($userid);      // note $userid was setup in signin_bar.php
		$role = getUserRole($userid);
		$subscriber = getUserSubscriber($userid);
	}
    if (isset($_SESSION["loggedin_cust_id"]) && !empty($_SESSION["customer"])) {  // a customer is logged in
		$_SESSION['myid'] = $_SESSION["loggedin_cust_id"]; // store the record id for use in other pages
		$status = getCustStatus($_SESSION["loggedin_cust_id"]);
		$role = getUserRoleByID($_SESSION["loggedin_cust_id"]);
		$subscriber = getUserSubscriber($_SESSION["loggedin_cust_id"]);
	}

	if ((($status == "new") or ($status == "rejected") or ($status == "inactive")) and (getPageType($p) != "visitor")) { // the user is registered but not approved, so anything other than a visitor page must go to holding page
		$page_name = "hold";    // set a temporary holding page
	} else {
		//if (accessAllowed(getPageType($p), getUserRoleByID($userid), $getUserStatus($userid)) {
		if (accessAllowed(getPageType($p), getPageSubscriber($p), $role, $status,$subscriber)) {
			// do nothing as they are allowed to access the page and $page_name is correct
		} else {
			$page_name = "404";  // restricted page
			//$errmsg = "The page you requested is restricted and can only be accessed if you login, and you have the correct security";	
			//include('modules/error.php');
		}
	}
	// everything will be overridden if the site is down for maintenance and the visitors IP address is not one of the admin ones
	if ((getSetting("bool_site_maintenance")) and (!isAdminIP())) {  
		//the site is down and the visitor IP is not known
		$page_name = "maint";
	}
	
	include('includes/'.$page_name.'.inc.php');
	include('modules/footer.php');
	// end output buffering
 	ob_end_flush();
 
?>